aboutsummaryrefslogtreecommitdiff
path: root/release/run.sh
diff options
context:
space:
mode:
authorRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
committerRenato Golin <rengolin@gmail.com>2016-04-26 11:02:23 +0100
commit94cc104f044261f74fbff3ff587855df1a05f64d (patch)
tree7c6664fdf7e7fab54fea926b1fc6196a09b6540f /release/run.sh
Initial Commit, moving from dev-private and removing private stuff
Diffstat (limited to 'release/run.sh')
-rwxr-xr-xrelease/run.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/release/run.sh b/release/run.sh
new file mode 100755
index 0000000..5672fa1
--- /dev/null
+++ b/release/run.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+syntax="Syntax: $0 REL RC"
+
+if [[ $1 = '' ]]; then
+ echo $syntax
+ exit 1
+fi
+REL=$1
+shift
+if [[ $1 = 'final' ]]; then
+ RC="-final"
+else if [[ $1 != '' ]]; then
+ RC="-rc $1"
+else
+ echo "Syntax: $0 REL RC"
+ exit 1
+fi fi
+
+aarch64="`egrep '(AArch64|asimd)' /proc/cpuinfo`"
+armv7="`grep ARMv7 /proc/cpuinfo`"
+intel="`grep Intel /proc/cpuinfo`"
+
+if [[ $aarch64 = '' && $armv7 = '' && $intel = '' ]]; then
+ echo "This is neither of ARMv7, AArch64, Intel"
+ exit 1
+fi
+triple=armv7a-linux-gnueabihf
+if [[ $aarch64 != '' ]]; then
+ triple=aarch64-linux-gnu
+fi
+if [[ $intel != '' ]]; then
+ triple=x86_64-linux-gnu
+fi
+
+./test-release.sh -release $REL $RC -triple $triple -j8 -no-libs -no-test-suite